<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_74) on Wed Mar 02 13:32:47 CET 2016 -->
<title>OBGrid (QA API)</title>
<meta name="date" content="2016-03-02">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="OBGrid (QA API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBForm.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBMessageBar.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?com/openbravo/test/integration/erp/modules/client/application/gui/OBGrid.html" target="_top">Frames</a></li>
<li><a href="OBGrid.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.Grid">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.openbravo.test.integration.erp.modules.client.application.gui</div>
<h2 title="Class OBGrid" class="title">Class OBGrid</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.Canvas</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.Grid</a></li>
<li>
<ul class="inheritance">
<li>com.openbravo.test.integration.erp.modules.client.application.gui.OBGrid</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">OBGrid</span>
extends <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">Grid</a></pre>
<div class="block">Executes actions on OpenbravoERP grids built upon SmartClient user interface library.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>elopio</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.Grid">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.<a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">Grid</a></h3>
<code><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html#FORMAT_LOCATOR_SMART_CLIENT_FORM_ROW_EDITOR_BY_INDEX">FORMAT_LOCATOR_SMART_CLIENT_FORM_ROW_EDITOR_BY_INDEX</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html#FORMAT_LOCATOR_SMART_CLIENT_FORM_ROW_EDITOR_BY_NAME">FORMAT_LOCATOR_SMART_CLIENT_FORM_ROW_EDITOR_BY_NAME</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.Canvas">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.<a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">Canvas</a></h3>
<code><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#FORMAT_SMART_CLIENT_GET_LOCATOR">FORMAT_SMART_CLIENT_GET_LOCATOR</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#objectString">objectString</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#smartClientLocator">smartClientLocator</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBGrid.html#OBGrid-java.lang.String-">OBGrid</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;tabIdentifier)</code>
<div class="block">Class constructor.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBGrid.html#OBGrid-java.lang.String-java.lang.Boolean-">OBGrid</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;tabIdentifier,
      <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;waitForLoad)</code>
<div class="block">Class constructor.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBGrid.html#assertField-java.lang.String-java.lang.Object-">assertField</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fieldName,
           <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;expectedValue)</code>
<div class="block">Assert a field.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBGrid.html#assertInEditMode--">assertInEditMode</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBGrid.html#assertNotInEditMode--">assertNotInEditMode</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBGrid.html#assertSaved--">assertSaved</a></span>()</code>
<div class="block">Assert that the record was saved.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBGrid.html#cancelWithShortcut--">cancelWithShortcut</a></span>()</code>
<div class="block">Cancels en edition using OB.KeyboardManager.Shortcuts.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBGrid.html#clearFilters--">clearFilters</a></span>()</code>
<div class="block">Clear the filters.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBGrid.html#clickCancelEdit--">clickCancelEdit</a></span>()</code>
<div class="block">Click the cancel edit button of the last selected row.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBGrid.html#clickCancelEdit-int-">clickCancelEdit</a></span>(int&nbsp;rowNumber)</code>
<div class="block">Click the cancel edit button of a row.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBGrid.html#clickEdit--">clickEdit</a></span>()</code>
<div class="block">Click the edit button of the last selected row.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBGrid.html#clickEdit-int-">clickEdit</a></span>(int&nbsp;rowNumber)</code>
<div class="block">Click the edit button of a row.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBGrid.html#clickOpen--">clickOpen</a></span>()</code>
<div class="block">Click the open button of the last selected row.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBGrid.html#clickOpen-int-">clickOpen</a></span>(int&nbsp;rowNumber)</code>
<div class="block">Click the open button of a row.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBGrid.html#clickSave--">clickSave</a></span>()</code>
<div class="block">Click the save button of the last selected row.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBGrid.html#clickSave-int-">clickSave</a></span>(int&nbsp;rowNumber)</code>
<div class="block">Click the save button of a row.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBGrid.html#confirmCancelEdit--">confirmCancelEdit</a></span>()</code>
<div class="block">Confirm the edit cancellation.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBGrid.html#createNewRecordWithShortcut--">createNewRecordWithShortcut</a></span>()</code>
<div class="block">Inserts a new record in grid view using OB.KeyboardManager.Shortcuts.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBGrid.html#createWithContextualMenu--">createWithContextualMenu</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBGrid.html#deleteRecordWithShortcut--">deleteRecordWithShortcut</a></span>()</code>
<div class="block">Deletes the selected record by pressing the delete key.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBGrid.html#deleteUsingContextualMenu--">deleteUsingContextualMenu</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBGrid.html#editSelectedRecordUsingContextualMenu--">editSelectedRecordUsingContextualMenu</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBGrid.html#fill-java.lang.String-java.lang.String-">fill</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;columnName,
    <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;newValue)</code>
<div class="block">Fill a cell value of the selected row.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBGrid.html#filter-java.lang.String-java.lang.Object-">filter</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;columnName,
      <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;filterValue)</code>
<div class="block">Filter the grid rows.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/InputField.html" title="interface in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">InputField</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBGrid.html#getField-java.lang.String-">getField</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fieldName)</code>
<div class="block">Get a field object.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/InputField.html" title="interface in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">InputField</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBGrid.html#getField-java.lang.String-boolean-">getField</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fieldName,
        boolean&nbsp;onlyAllowTextItems)</code>
<div class="block">Get a field object.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBGrid.html#getFilterValue-java.lang.String-">getFilterValue</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fieldName)</code>
<div class="block">Get the value present on the filter of a field.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBGrid.html#getRecordCount--">getRecordCount</a></span>()</code>
<div class="block">Get the number of records in the grid.</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBGrid.html#isEditFormVisible--">isEditFormVisible</a></span>()</code>
<div class="block">Check if the edit form is visible.</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBGrid.html#moveToNextRecordWhileEditing--">moveToNextRecordWhileEditing</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBGrid.html#openFirstRecordInFormWithDoubleClick--">openFirstRecordInFormWithDoubleClick</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBGrid.html#selectAllRecordsOneCheckbox--">selectAllRecordsOneCheckbox</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBGrid.html#selectMultipleRecords-int:A-">selectMultipleRecords</a></span>(int[]&nbsp;indexesToBeSelected)</code>&nbsp;</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBGrid.html#selectRecord-int-">selectRecord</a></span>(int&nbsp;row)</code>
<div class="block">Select a record number using SC javascript</div>
</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBGrid.html#waitUntilEditFormIsNotVisible--">waitUntilEditFormIsNotVisible</a></span>()</code>
<div class="block">Wait for the edit form to be invisible.</div>
</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBGrid.html#waitUntilEditFormIsVisible--">waitUntilEditFormIsVisible</a></span>()</code>
<div class="block">Wait for the edit form to be visible.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.Grid">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.<a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">Grid</a></h3>
<code><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html#clickCell-int-int-">clickCell</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html#clickCellByContents-java.lang.String-java.lang.String-">clickCellByContents</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html#clickCellByRowId-java.lang.String-java.lang.String-">clickCellByRowId</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html#clickCellByRowNumber-int-java.lang.String-">clickCellByRowNumber</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html#filter-java.lang.String-java.lang.String-">filter</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html#getFilterLocator--">getFilterLocator</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html#getFirstVisibleRowIndex--">getFirstVisibleRowIndex</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html#getLastVisibleRowIndex--">getLastVisibleRowIndex</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html#makeRowVisible-int-">makeRowVisible</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html#openFilterDropDown-java.lang.String-">openFilterDropDown</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html#pickRecordInFilterDropDown-java.lang.String-int-">pickRecordInFilterDropDown</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html#scrollToLeft--">scrollToLeft</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html#scrollToRight--">scrollToRight</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html#selectAll--">selectAll</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html#selectRowByContents-java.lang.String-java.lang.String-">selectRowByContents</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html#selectRowById-int-">selectRowById</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html#selectRowByNumber-int-">selectRowByNumber</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html#unselectAll--">unselectAll</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html#waitForDataToLoad--">waitForDataToLoad</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.Canvas">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.<a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">Canvas</a></h3>
<code><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#cleanSmartClientLocator-java.lang.String-">cleanSmartClientLocator</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#click--">click</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#focus--">focus</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#getAttribute-com.openbravo.test.integration.selenium.Attribute-">getAttribute</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#getInformationForLog--">getInformationForLog</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#getObjectString--">getObjectString</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#getSmartClientLocator--">getSmartClientLocator</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#getText--">getText</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#getTitle--">getTitle</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#hideMenuClick--">hideMenuClick</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#isEnabled--">isEnabled</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#isEnabledSmartClient--">isEnabledSmartClient</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#isFocused--">isFocused</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#isPresent--">isPresent</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#isVisible--">isVisible</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#pressDelete--">pressDelete</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#pressEnter--">pressEnter</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#pressTab--">pressTab</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#scrollToBottom--">scrollToBottom</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#scrollToTop--">scrollToTop</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#setSmartClientLocator-java.lang.String-">setSmartClientLocator</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#showMenuClick--">showMenuClick</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#smartClientBlur--">smartClientBlur</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#smartClientClick--">smartClientClick</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#smartClientSetValue-java.lang.String-">smartClientSetValue</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#virtualClick--">virtualClick</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#waitUntilEnabled--">waitUntilEnabled</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#waitUntilLoaded--">waitUntilLoaded</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#waitUntilNotVisible--">waitUntilNotVisible</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#waitUntilVisible--">waitUntilVisible</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="OBGrid-java.lang.String-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>OBGrid</h4>
<pre>public&nbsp;OBGrid(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;tabIdentifier,
              <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;waitForLoad)</pre>
<div class="block">Class constructor.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tabIdentifier</code> - The tab identifier.</dd>
<dd><code>waitForLoad</code> - Boolean to determine if the system should wait the object be ready to continue.</dd>
</dl>
</li>
</ul>
<a name="OBGrid-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>OBGrid</h4>
<pre>public&nbsp;OBGrid(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;tabIdentifier)</pre>
<div class="block">Class constructor.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tabIdentifier</code> - The tab identifier.</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getRecordCount--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRecordCount</h4>
<pre>public&nbsp;int&nbsp;getRecordCount()</pre>
<div class="block">Get the number of records in the grid.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The number of records in the grid.</dd>
</dl>
</li>
</ul>
<a name="clickEdit--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clickEdit</h4>
<pre>public&nbsp;void&nbsp;clickEdit()</pre>
<div class="block">Click the edit button of the last selected row.</div>
</li>
</ul>
<a name="clickEdit-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clickEdit</h4>
<pre>public&nbsp;void&nbsp;clickEdit(int&nbsp;rowNumber)</pre>
<div class="block">Click the edit button of a row.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>rowNumber</code> - The number of the row.</dd>
</dl>
</li>
</ul>
<a name="clickOpen--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clickOpen</h4>
<pre>public&nbsp;void&nbsp;clickOpen()</pre>
<div class="block">Click the open button of the last selected row.</div>
</li>
</ul>
<a name="clickOpen-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clickOpen</h4>
<pre>public&nbsp;void&nbsp;clickOpen(int&nbsp;rowNumber)</pre>
<div class="block">Click the open button of a row.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>rowNumber</code> - The number of the row.</dd>
</dl>
</li>
</ul>
<a name="clickCancelEdit--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clickCancelEdit</h4>
<pre>public&nbsp;void&nbsp;clickCancelEdit()</pre>
<div class="block">Click the cancel edit button of the last selected row.</div>
</li>
</ul>
<a name="clickCancelEdit-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clickCancelEdit</h4>
<pre>public&nbsp;void&nbsp;clickCancelEdit(int&nbsp;rowNumber)</pre>
<div class="block">Click the cancel edit button of a row.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>rowNumber</code> - The number of the row.</dd>
</dl>
</li>
</ul>
<a name="confirmCancelEdit--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>confirmCancelEdit</h4>
<pre>public&nbsp;void&nbsp;confirmCancelEdit()</pre>
<div class="block">Confirm the edit cancellation.</div>
</li>
</ul>
<a name="clickSave--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clickSave</h4>
<pre>public&nbsp;void&nbsp;clickSave()</pre>
<div class="block">Click the save button of the last selected row.</div>
</li>
</ul>
<a name="clickSave-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clickSave</h4>
<pre>public&nbsp;void&nbsp;clickSave(int&nbsp;rowNumber)</pre>
<div class="block">Click the save button of a row.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>rowNumber</code> - The number of the row.</dd>
</dl>
</li>
</ul>
<a name="deleteRecordWithShortcut--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteRecordWithShortcut</h4>
<pre>public&nbsp;void&nbsp;deleteRecordWithShortcut()</pre>
<div class="block">Deletes the selected record by pressing the delete key.</div>
</li>
</ul>
<a name="filter-java.lang.String-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>filter</h4>
<pre>public&nbsp;void&nbsp;filter(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;columnName,
                   <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;filterValue)</pre>
<div class="block">Filter the grid rows.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>columnName</code> - The name of the column.</dd>
<dd><code>filterValue</code> - The value of the filter.</dd>
</dl>
</li>
</ul>
<a name="isEditFormVisible--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isEditFormVisible</h4>
<pre>public&nbsp;boolean&nbsp;isEditFormVisible()</pre>
<div class="block">Check if the edit form is visible.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the edit form is visible. Otherwise, false.</dd>
</dl>
</li>
</ul>
<a name="waitUntilEditFormIsVisible--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>waitUntilEditFormIsVisible</h4>
<pre>public&nbsp;void&nbsp;waitUntilEditFormIsVisible()</pre>
<div class="block">Wait for the edit form to be visible.</div>
</li>
</ul>
<a name="waitUntilEditFormIsNotVisible--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>waitUntilEditFormIsNotVisible</h4>
<pre>public&nbsp;void&nbsp;waitUntilEditFormIsNotVisible()</pre>
<div class="block">Wait for the edit form to be invisible.</div>
</li>
</ul>
<a name="getField-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getField</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/InputField.html" title="interface in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">InputField</a>&nbsp;getField(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fieldName)</pre>
<div class="block">Get a field object.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fieldName</code> - The name of the field.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the field object.</dd>
</dl>
</li>
</ul>
<a name="getField-java.lang.String-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getField</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/InputField.html" title="interface in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">InputField</a>&nbsp;getField(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fieldName,
                           boolean&nbsp;onlyAllowTextItems)</pre>
<div class="block">Get a field object.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fieldName</code> - The name of the field.</dd>
<dd><code>onlyAllowTextItems</code> - flag to specify if only text items should be returned</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the field object. If onlyAllowTextItems and the field is not a text item, an exception
         is rised</dd>
</dl>
</li>
</ul>
<a name="fill-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fill</h4>
<pre>public&nbsp;void&nbsp;fill(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;columnName,
                 <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;newValue)</pre>
<div class="block">Fill a cell value of the selected row. The row should be on edit mode.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>columnName</code> - The name of the column</dd>
<dd><code>newValue</code> - The new value to enter on the cell.</dd>
</dl>
</li>
</ul>
<a name="clearFilters--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clearFilters</h4>
<pre>public&nbsp;void&nbsp;clearFilters()</pre>
<div class="block">Clear the filters.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html#clearFilters--">clearFilters</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">Grid</a></code></dd>
</dl>
</li>
</ul>
<a name="assertField-java.lang.String-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertField</h4>
<pre>public&nbsp;void&nbsp;assertField(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fieldName,
                        <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;expectedValue)</pre>
<div class="block">Assert a field.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fieldName</code> - The name of the field.</dd>
<dd><code>expectedValue</code> - The expected value of the field.</dd>
</dl>
</li>
</ul>
<a name="getFilterValue-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFilterValue</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;getFilterValue(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fieldName)</pre>
<div class="block">Get the value present on the filter of a field.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fieldName</code> - The name of the field whose filter value will be returned.</dd>
</dl>
</li>
</ul>
<a name="assertSaved--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertSaved</h4>
<pre>public&nbsp;void&nbsp;assertSaved()</pre>
<div class="block">Assert that the record was saved.</div>
</li>
</ul>
<a name="assertNotInEditMode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertNotInEditMode</h4>
<pre>public&nbsp;void&nbsp;assertNotInEditMode()</pre>
</li>
</ul>
<a name="assertInEditMode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertInEditMode</h4>
<pre>public&nbsp;void&nbsp;assertInEditMode()</pre>
</li>
</ul>
<a name="selectAllRecordsOneCheckbox--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>selectAllRecordsOneCheckbox</h4>
<pre>public&nbsp;void&nbsp;selectAllRecordsOneCheckbox()</pre>
</li>
</ul>
<a name="selectMultipleRecords-int:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>selectMultipleRecords</h4>
<pre>public&nbsp;void&nbsp;selectMultipleRecords(int[]&nbsp;indexesToBeSelected)</pre>
</li>
</ul>
<a name="cancelWithShortcut--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cancelWithShortcut</h4>
<pre>public&nbsp;void&nbsp;cancelWithShortcut()</pre>
<div class="block">Cancels en edition using OB.KeyboardManager.Shortcuts.</div>
</li>
</ul>
<a name="moveToNextRecordWhileEditing--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>moveToNextRecordWhileEditing</h4>
<pre>public&nbsp;void&nbsp;moveToNextRecordWhileEditing()</pre>
</li>
</ul>
<a name="deleteUsingContextualMenu--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteUsingContextualMenu</h4>
<pre>public&nbsp;void&nbsp;deleteUsingContextualMenu()</pre>
</li>
</ul>
<a name="editSelectedRecordUsingContextualMenu--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>editSelectedRecordUsingContextualMenu</h4>
<pre>public&nbsp;void&nbsp;editSelectedRecordUsingContextualMenu()</pre>
</li>
</ul>
<a name="selectRecord-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>selectRecord</h4>
<pre>public&nbsp;void&nbsp;selectRecord(int&nbsp;row)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html#selectRecord-int-">Grid</a></code></span></div>
<div class="block">Select a record number using SC javascript</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html#selectRecord-int-">selectRecord</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">Grid</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>row</code> - The number of the row that wants to be selected</dd>
</dl>
</li>
</ul>
<a name="openFirstRecordInFormWithDoubleClick--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>openFirstRecordInFormWithDoubleClick</h4>
<pre>public&nbsp;void&nbsp;openFirstRecordInFormWithDoubleClick()</pre>
</li>
</ul>
<a name="createWithContextualMenu--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createWithContextualMenu</h4>
<pre>public&nbsp;void&nbsp;createWithContextualMenu()</pre>
</li>
</ul>
<a name="createNewRecordWithShortcut--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>createNewRecordWithShortcut</h4>
<pre>public&nbsp;void&nbsp;createNewRecordWithShortcut()</pre>
<div class="block">Inserts a new record in grid view using OB.KeyboardManager.Shortcuts.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBForm.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBMessageBar.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?com/openbravo/test/integration/erp/modules/client/application/gui/OBGrid.html" target="_top">Frames</a></li>
<li><a href="OBGrid.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.Grid">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small><i>Copyright &#169; 2015 Openbravo. All Rights Reserved.</i></small></p>
</body>
</html>
